Change navigation through reports / statistics

Bug #1697248 reported by Kristina Hoeppner on 2017-06-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Wishlist
Robert Lyon

Bug Description

In bug #1691910 the site and institution statistics pages were combined to be shown in one area. This wishlist item extends that functionality to introduce a new reports navigation bar in order to allow selecting the type of report that is to be displayed.

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/8030

Reviewed: https://reviews.mahara.org/7896
Committed: https://git.mahara.org/mahara/mahara/commit/c3d9acba53e74453a6c4e412c7ecb9dd3d47cdbb
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit c3d9acba53e74453a6c4e412c7ecb9dd3d47cdbb
Author: Robert Lyon <email address hidden>
Date: Wed Jul 26 12:25:35 2017 +1200

Bug 1697248: More updates for report navigation and reports

This patch will contain the fixes for:

- Navigation placement
- Collaboration report
- CSV's of reports
- Overview page for the graphs
- Making Institution selector a select2 field
- Moving all configs for reports into the modal and combine 3rd level
menu with submenu choices in select2 field
- Ignore non logged in users from user activity report
- Move more variables for reports into sticky (session) vars
- Allow results to be fetched from elasticsearch

Change-Id: I725b7615ac3cd6b1d9b6352bae9f6be0d5161e1b
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7818
Committed: https://git.mahara.org/mahara/mahara/commit/8c08b88b0af1fcd0379757eebd328a00f6af1028
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 8c08b88b0af1fcd0379757eebd328a00f6af1028
Author: Robert Lyon <email address hidden>
Date: Fri Jun 9 12:51:45 2017 +1200

Bug 1697248: Update report navigation and reports

Introduce a new navigation bar to allow going through the different
types of reports:

- Change the page title according to the selected report section and
report
- Decide which columns to display in a report
- Configure reports via the "Configure reports" button

Add existing reports into the new interface.

Create new and expand existing reports:

- User activity
- Page activity
- Collaboration

Sponsored by the AAIM project with funding from University of
Sussex and Dublin City University.

Change-Id: I1eb6920890af27c34c902fe22ff5ce3591b73cb0
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/8030
Committed: https://git.mahara.org/mahara/mahara/commit/9a4834d0cd5377ad7e03dbbda2cd30eca477243d
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 9a4834d0cd5377ad7e03dbbda2cd30eca477243d
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Tue Sep 19 17:10:07 2017 +1000

Bug 1697248: Lang string updates

for the reporting section

Change-Id: I40c5e1038827a04666db98fbdad36a1915865d1a

Robert Lyon (robertl-9) on 2017-09-21
Changed in mahara:
status: In Progress → Fix Committed

Reviewed: https://reviews.mahara.org/8045
Committed: https://git.mahara.org/mahara/mahara/commit/c2d551461557840365128d8beeb84759a759989b
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit c2d551461557840365128d8beeb84759a759989b
Author: Robert Lyon <email address hidden>
Date: Fri Sep 22 09:13:08 2017 +1200

Bug 1697248: Forgot the primary key on event_log on install

To test: This breaks install in mysql

behatnotneeded

Change-Id: I5fd4310fab0a3de3a49c2f9eff2bb27ff8ba5311
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/8090
Committed: https://git.mahara.org/mahara/mahara/commit/6e94aeed4769fb456c8f8123aad1e0dff55973c4
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 6e94aeed4769fb456c8f8123aad1e0dff55973c4
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Oct 4 17:53:08 2017 +1300

Bug 1720269: old_raw patches for bugs: (reports)

Bug 1697248
Bug 1691910

behatnotneeded

Change-Id: Ia96e648726929d5d36cc5f006c03987bc8c60c5a

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/8099
Committed: https://git.mahara.org/mahara/mahara/commit/875013064496efc60634a8a7d4193aa83c39b47e
Submitter: Robert Lyon (<email address hidden>)
Branch: 17.10_STABLE

commit 875013064496efc60634a8a7d4193aa83c39b47e
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Oct 4 17:53:08 2017 +1300

Bug 1720269: old_raw patches for bugs: (reports)

Bug 1697248
Bug 1691910

behatnotneeded

Change-Id: Ia96e648726929d5d36cc5f006c03987bc8c60c5a
(cherry picked from commit 6e94aeed4769fb456c8f8123aad1e0dff55973c4)

Robert Lyon (robertl-9) on 2017-10-30
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints